Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.store
Class Path

    java.lang.Object
      org.apache.xmlbeans.impl.store.Path

    public abstract class Path

extends java.lang.Object

Field Summary
`static java.lang.String` | `_forceXqrl2002ForXpathXQuery`
`protected java.lang.String` | `_pathKey`
`static java.lang.String` | `_useDelegateForXpath`
`static java.lang.String` | `_useXbeanForXpath`
`static java.lang.String` | `_useXdkForXpath`
`static java.lang.String` | `_useXqrlForXpath`
`static java.lang.String` | `PATH_DELEGATE_INTERFACE`

Method Summary
`static java.lang.String` | `compilePath(java.lang.String pathExpr, XmlOptions options)`
`static Path` | `getCompiledPath(java.lang.String pathExpr, XmlOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_DELEGATE_INTERFACE

    public static final java.lang.String PATH_DELEGATE_INTERFACE

See Also:
  Constant Field Values

### _useDelegateForXpath

    public static java.lang.String _useDelegateForXpath

### _useXdkForXpath

    public static java.lang.String _useXdkForXpath

### _useXqrlForXpath

    public static java.lang.String _useXqrlForXpath

### _useXbeanForXpath

    public static java.lang.String _useXbeanForXpath

### _forceXqrl2002ForXpathXQuery

    public static java.lang.String _forceXqrl2002ForXpathXQuery

### _pathKey

    protected final java.lang.String _pathKey

Method Detail

### getCompiledPath

    public static Path getCompiledPath(java.lang.String pathExpr,
                                       XmlOptions options)

### compilePath

    public static java.lang.String compilePath(java.lang.String pathExpr,
                                               XmlOptions options)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD